Subject: FvwmPager & restarts

From: [email-masked]
Date: Wed, 9 Jun 1999 13:08:33 -0500 (CDT)

Full_Name: Nadim Saeed
Version: 2.2.0 or 2.2.2
CVS_Date: 
OS: SunOS 5.5.1
X_Server: 
Submission from: (NULL) (206.71.186.98)

On a "fresh" login into fvwm (if I were to invoke xscreensaver everything
works fine.  If I were to do a "restart" of fvwm and now invoke
xscreensaver,
the FvwmPager is still visible during the screen-saver's activity.

Steps to follow:
 1. Login (not via a restart)
 2. start xscreensaver-3.12
 3. note that NOTHING is visible while screensaver is active (just the
hacks)
 4. do a restart of fvwm (through a menu or something)
 5. start xscreensaver-3.12
 6. BUG -> FvwmPager is still visible while the screensaver is active

I've FvwmIdent'ed both pagers, the pre-restart and post, and both contain
the
same exact data.  What else can I do to narrow the problem ? 

Using:
 version        : fvwm-2.2.0  AND-OR fvwm-2.2.2
 host           : SunOS 5.5.1 Generic_105428-01 sun4u sparc
SUNW,Ultra-5_10

Here are the relevant parts of my .fvwm2rc file:

DeskTopSize 3 3

Style "FvwmPager"       StaysOnTop

AddToFunc "InitFunction"        
+       "I" Module      FvwmPager 0 0
 
AddToFunc "RestartFunction"
+       "I" Module      FvwmPager 0 0

# FvwmPager
#
*FvwmPagerBack                  PeachPuff3
*FvwmPagerFore                  Black
*FvwmPagerHilight               White
*FvwmPagerGeometry              x140-1-1
*FvwmPagerLabel                 0       Desk-0
*FvwmPagerLabel                 1       Desk-1
*FvwmPagerBalloons              Icon
*FvwmPagerBalloonYOffset        -2
 
# Setting the font to 0x0 or nil2 results in no text
*FvwmPagerSmallFont 5x8

AddToMenu RootMenu
+       "Root Menu"                     Title   
+       "Restart"                       Restart fvwm2

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]